# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/params/params/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/params/params/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Params\\Params\\": "packages/params/params/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Params\Params\Providers\ParamsServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Params'  => Params\Params\Facades\Params::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Params\\ParamsTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Params\Params\Providers\ParamsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Params\Params\Providers\ParamsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Params\Params\Providers\ParamsServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/params/{modulename}

**User**

    http://path-to-route-folder/user/params/{modulename}

**Public**

    http://path-to-route-folder/params


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/params/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/params/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/params/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/params/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/params/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/params/{modulename}/{slug}
    METHOD: GET