<?php

// API routes  for params
Route::prefix('{guard}/params')->group(function () {
    Route::get('params/form/{element}', 'ParamsAPIController@form');
    Route::resource('params', 'ParamsAPIController');
});

// Public routes for params
Route::get('params/', 'ParamsPublicController@index');
Route::get('params/{slug?}', 'ParamsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for params
            Route::prefix('{guard}/params')->group(function () {
                Route::get('params/form/{element}', 'ParamsAPIController@form');
                Route::apiResource('params', 'ParamsAPIController');
            });
            // Public routes for params
            Route::get('params/Params', 'ParamsPublicController@getParams');
        }
    );
}

