<?php

// web routes  for params
Route::prefix('{guard}/params')->group(function () {
    Route::resource('params', 'ParamsResourceController');
});

// Public routes for params
Route::get('params/', 'ParamsPublicController@index');
Route::get('params/{slug?}', 'ParamsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ParamsResourceController');
            });
            // Public routes for pages
            Route::get('params/', 'ParamsPublicController@index');
            Route::get('params/{slug?}', 'ParamsPublicController@show');
        }
    );
}

